"use strict";

/* eslint-disable no-console */

const DEBUG = true;
function log(...args) {
  if (DEBUG) {
    console.log('[StyleUtils]', ...args);
  }
}
// In utils/style.ts
export function getStylesFromShikiTheme(theme) {
  // Convert string theme to ThemeRegistrationAny
  const themeReg = typeof theme === 'string' ? {
    name: theme,
    type: 'dark',
    // Default to dark theme
    colors: {}
  } : theme;
  log('Processing theme:', {
    name: themeReg.name,
    type: themeReg.type,
    colors: themeReg.colors
  });

  // We only need the root styles since Shiki handles token colors
  const styles = {
    root: {
      backgroundColor: themeReg.bg || themeReg.colors?.['editor.background'] || '#000000',
      color: themeReg.fg || themeReg.colors?.['editor.foreground'] || '#ffffff'
    }
  };
  log('Generated root style:', styles.root);
  return styles;
}
//# sourceMappingURL=style.js.map