import type { LanguageInput, SpecialLanguage, StringLiteralUnion, ThemeRegistrationAny } from '@shikijs/types';
import React from 'react';
import { type ScrollViewProps, type StyleProp, type TextStyle, type ViewStyle } from 'react-native';
interface SyntaxHighlighterProps {
    code: string;
    language: LanguageInput | SpecialLanguage;
    theme: ThemeRegistrationAny | StringLiteralUnion<string>;
    fontSize?: number;
    textStyle?: StyleProp<TextStyle>;
    scrollViewProps?: ScrollViewProps;
    containerStyle?: StyleProp<ViewStyle>;
    showLineNumbers?: boolean;
    renderLineNumber?: (lineNumber: number) => React.ReactNode;
    loadingComponent?: React.ReactNode;
    errorComponent?: (error: string) => React.ReactNode;
}
export declare const SyntaxHighlighter: React.MemoExoticComponent<({ code, language, theme, fontSize, textStyle, scrollViewProps, containerStyle, showLineNumbers, renderLineNumber, loadingComponent, errorComponent }: SyntaxHighlighterProps) => string | number | true | Iterable<React.ReactNode> | React.JSX.Element>;
export type { SyntaxHighlighterProps };
//# sourceMappingURL=SyntaxHighlighter.d.ts.map