import type { LanguageRegistration, ThemeRegistrationAny } from '@shikijs/types'
import { createHighlighterCore } from '@shikijs/core'
import { createJavaScriptRegexEngine } from '@shikijs/engine-javascript'

export { ShikiProvider, useShiki } from './components/SyntaxContext'
export type { ShikiContextValue, ShikiProviderProps } from './components/SyntaxContext'

export { SyntaxHighlighter } from './components/SyntaxHighlighter'
export type { SyntaxHighlighterProps } from './components/SyntaxHighlighter'

export { getStylesFromShikiTheme } from './utils/style'
export type { ShikiStyleSheet } from './utils/style'

export type { HighlighterCore, LanguageRegistration, ThemedToken, ThemeRegistrationAny, TokenStyles } from '@shikijs/types'

export async function createRNHighlighter(
  options: {
    themes?: ThemeRegistrationAny[]
    langs?: LanguageRegistration[]
  } = {},
) {
  return createHighlighterCore({
    engine: createJavaScriptRegexEngine(),
    ...options,
  })
}
